Home | All Classes | Grouped Classes | Index | Search

# Class CL_Vector2

A 2D Vector class More...

Derived from: none
Derived by: none
Group: Core (Math)

#include <ClanLib/core.h>

Construction:

CL_Vector2 | Default constructor

Operators:

operator [] | Accessor
operator float* | Unknown
operator = | assignment operator
operator == | Equivalancy operator
operator != | Not-equals operator
operator < | Less than operator
operator <= | Less than or equal operator
operator > | Greater than operator
operator >= | Greater than or equal operator
operator + | Addition operator
operator - | Subtraction operator
operator * | Multiplication operator
operator / | Division operator
operator += | Addition assignment operator
operator -= | Subtraction assignment operator
operator *= | Multiplication assignment operator
operator /= | Division assignment operator

Attributes:

set_fuzz | Enable Fuzzy arithmatic
disable_fuzz | Disable Fuzzy arithmatic
get_fuzz | Using fuzzy arimatic
length | The length of the vector
squared_length | The squared length of the vector
dot | FIXME!!!
unitize | FIXME!!!
cross | Cross
unit_cross | Unit Cross

Variables:

y |
ZERO static |
UNIT_X static |
UNIT_Y static |
FUZZ static |

Detailed description:

!group=Core/Math! !header=core.h! CL_Vector2 provides a 2D vector class. This is different from {link CL_Vector CL_Vector.html}
Questions or comments, write to the ClanLib mailing list.